Cemu - Bug #227

Mario Kart 8: Crash after 1-2 races
12/18/2019 10:20 PM - Anuskuss

Status: Closed Start date: 12/18/2019
Priority: Normal

Assignee:

Category: Graphic

API: Vulkan GPU Vendor/Model: Intel Iris+ 640
Cemu Version: 1.16.0b

Description

Cemu crashes after one to two races in Mario Kart 8. In one instance it froze my whole computer to the point where even

CTRL+ALT+DEL wasn't working.

Happens only in Vulkan, OpenGL is fine. I've noticed that the VRAM was increasing with every race (menu: 0.3/7.9 GB, racel:

1.1/7.9 GB, race2: 1.7/7.9 GB) whereas in OpenGL it roughly stayed at 0.9/7.9 GB. Shader cache was removed completely since last

build.

General

[178568830] =——==——<= Init Vulkan graphics backend —-—————-
[17:58:30] Using GPU: Intel(R) Iris(R) Plus Graphics 640
[17:58:30] Driver version (as stored in device info): 00191ACD

[17:58:30] Using streamout emulation via SSBO

[17:58:30] Vulkan device memory info:

[17:58:30] Heap 0 - Size 7319MB Flags 0x00000001
[17:58:30] Memory 0 - HeapIndex 0 Flags 0x00000007
[17:58:30] Memory 1 - HeapIndex 0 Flags 0x0000000f
[17:58:30] VK_FORMAT_R4G4_UNORM_PACK8 not supported
[17:58:30] Enable surface copies via buffer

[17:58:30] Loaded RPL module turbo (checksum 0xD09700CE)
[17:58:31] ——————-— Active settings ——————-

[17:58:31] CPU-Mode: Single-core recompiler (gameprofile)
[17:58:31] Load shared libraries: true

[17:58:31] GPUBufferCacheAccuracy: low (gameprofile)
[17:58:31] Use precompiled shaders: auto (gameprofile)
[17:58:31] Full sync at GX2DrawDone: false

Crash 1

[1735883l] =—==—=== Run title ———————
[17:58:39] Shader cache loaded with 1864 shaders. Commited mem 180MB. Took 8422ms
[17:58:46] Vulkan-Debug: Allocating additional memory for textures (x4)

[17:59:30] Vulkan-Info: Shader 0x5619bab3ae257b23 uses 1D texture but bound texture has mismatchin

g type (dim: 0x01)
[18:02:11] Vulkan-Debug: Allocating additional memory for textures (x2)

Crashlog for Cemu 1.16.0b (Patreon)
Date: 18-12-2019 18:05:53

Exception 0xc0000005 at 0x26626elc69d
cemu.exe at 0x7££75b5b0000

RAX=0000000000000000 RBX=0000000000000001 RCX=0000000045aea844 RDX=0000000000000001
RSP=0000026653744030 RBP=00000000101b0000 RDI=0000000045a2efec RSI=0000000000000007

R8 =0000000000000000 R9 =0000000000000001 R10=0000000000000000 R11=ffffffffffffcal2
R12=00000000000000al R13=00000265063d0000 R14=000000000000070d R15=0000026654420000
Game info

Game: MARIO KART 8 [EU v64]
TitleId: 500001010ed00
RPXHash: 9708al1d3

7c65pb8e0 Ent 00el8fcc IP 0216£f678 LR 0216£f678 READY Aff 010 Pri 80 Name NULL
1le55dc48 Ent 0274cd6c IP 00e01064 LR 0274c584 SUSPENDED Aff 010 Pri 81 Name Prepare Thread
1e5852b0 Ent 0274cdé6c IP 028525b8 LR 02169a60 READY Aff 100 Pri 80 Name WorkerMgr/Workerl (?)

1e58db48 Ent 0274cd6c IP 028525b8 LR 02169a60 RUNNING Aff 001 Pri 80 Name WorkerMgr/Worker2 (?)
1e65b048 Ent 0274cd6c IP 00e01064 LR 0274c584 SUSPENDED Aff 001 Pri 88 Name CourseDecomp

1e641778 Ent 0274cdé6c IP 00e01064 LR 0274c584 SUSPENDED Aff 100 Pri 88 Name BackgroundLoad
2e6b42a8 Ent 0274cd6c IP 00e01064 LR 0274c584 SUSPENDED Aff 010 Pri 81 Name SaveDataManager
3770e9c8 Ent 02al14730 IP 029f9600 LR 029f9600 SUSPENDED Aff 010 Pri 88 Name Pia BackgroundSchedule
i3

383e2cc8 Ent 0274cd6c IP 00e01064 LR 0274c584 SUSPENDED Aff 100 Pri 79 Name Network::Send
37570560 Ent 0274cdé6c IP 028d6b08 LR 028d6b08 WAITING Aff 001 Pri 79 Name enl::TaskThread
3749£290 Ent 0274cd6c IP 0240ald4c LR 0240ald4c WAITING Aff 010 Pri 89 Name NetworkTaskThread
3859d7e0 Ent 0274cd6c IP 00e01064 LR 0274c584 SUSPENDED Aff 100 Pri 81 Name sead::AudioTaskThread
7c32f7a8 Ent 00elaf88 IP 00elaf88 LR 00e00000 SUSPENDED Aff 100 Pri 14 Name NULL

101le7aa0 Ent 02a8fe88 IP 00e01064 LR 02a90014 SUSPENDED Aff 100 Pri 67 Name nw::snd::TaskThread
3a193168 Ent 0274cdé6c IP 00e01064 LR 0274c584 SUSPENDED Aff 100 Pri 79 Name UIMoviePlayerThread
3a308418 Ent 0274cd6c IP 00e01064 LR 0274c584 SUSPENDED Aff 100 Pri 88 Name UILoadThread

3b039360 Ent 0274cd6c IP 00e01064 LR 0274c584 SUSPENDED Aff 010 Pri 88 Name UIMiiThread

3b1282b8 Ent 0274cdé6c IP 00e01064 LR 0274c584 SUSPENDED Aff 010 Pri 88 Name UIScalableFont
3a30cb28 Ent 0274cd6c IP 00e01064 LR 0274c584 SUSPENDED Aff 010 Pri 88 Name UIMiiThread

le5642a0 Ent 0274cd6c IP 00e01064 LR 0274c584 SUSPENDED Aff 100 Pri 78 Name AudioTaskProxyThread
383d96a8 Ent 0274cdé6c IP 00e01064 LR 0274c584 SUSPENDED Aff 010 Pri 80 Name AocSyncThread

Crash 2 (PC froze)

[18:08:20] ——————-— Run title —————-—

[18:08:30] Shader cache loaded with 2162 shaders. Commited mem 187MB. Took 9808ms

[18:08:36] Vulkan-Debug: Allocating additional memory for textures (x4)

[18:09:40] Vulkan-Info: Shader 0x5619bab3ae257b23 uses 1D texture but bound texture has mismatchin
g type (dim: 0x01)

[18:09:40] Vulkan-Debug: Allocating additional memory for textures (x2)

[18:13:57] Unrecoverable error in Vulkan renderer

[18:13:57] Msg: failed to submit command buffer. Error -4

Crashlog for Cemu 1.16.0b (Patreon)
Date: 18-12-2019 18:13:57

0x00007££75b7e277a +0x0023277a Cemu.exe cemulLog_log
0x00007££75b7e3%ed +0x002339%ed Cemu.exe cemulog_log
0x00007ffcdbaabc9c +0x00086c9c KERNELBASE.d1ll UnhandledExceptionFilter
0x00007ffcd9ce8lcb +0x000a8lcb ntdll.dll memset
0x00007ffcd9ccfd56 +0x0008£fd56 ntdll.dll _C_specific_handler
0x00007ffcd9ced77f +0x000ad477f ntdll.dll _chkstk
0x00007£ffcd9c44bef +0x00004bef ntdll.dll RtlWalkFrameChain
0x00007££cd9c489%e6 +0x000089e6 ntdll.dll RtlRaiseException
0x00007ffcd6a59159 +0x00039159 KERNELBASE.d1l1l RaiseException
0x00007££75c201575 +0x00c51575 Cemu.exe osLib_registerHLEFunction
0x00007££75bc2c9d6 +0x0067c9d6 Cemu.exe memory_getBase
0x00007f££75bc2d9%ca +0x0067d9ca Cemu.exe memory_getBase
0x00007f££75bc2fdle +0x0067fdle Cemu.exe memory_getBase
0x00007£f£75bc80bbl
0x00007f£75b6c3a35
0x00007f£f75bc84del
0x00007ff75b6af795
0x00007£f£75b670289
0x00007££75c22e600
0x00007££fcd7657974
0x00007ffcd9caaz271

Exception 0xe06d7363 at 0x7ffcd6a59159 (+0x39159)

+0x00
+0x00
+0x00
+0x00
+0x00
+0x00
+0x00
+0x00

6d0bbl Cemu.exe osLib_registerHLEFunction

113a35 Cemu.exe ExpressionParser_EvaluateToDouble
6d4de0 Cemu.exe osLib_registerHLEFunction

0ff795 Cemu.exe ExpressionParser_EvaluateToDouble
0cb289 Cemu.exe wxMainWindowCreated

c7e600 Cemu.exe osLib_registerHLEFunction

017974 KERNEL32.DLL BaseThreadInitThunk

06a271 ntdll.dll Rt1lUserThreadStart

in module KERNELBASE.d1l1l

cemu.exe at 0x7ff£75b500000

RAX=00007££75b5b0000

RBX=00007££75c7e48d8

RCX=0000005e62dfebl0 RDX=00007f£75b7el442

RSP=0000005e62dfflc0 RBP=0000005e62dff300 RDI=0000005e62dff330 RSI=00000180el6e24f8

R8 =0000005e62dff320 R9 =0000005e62dfeae0 R10=000000000000002e R11=0000005e62dfeael

R12=00007f£75b5b0000 R13=000000000000005a R14=0000000000000000 R15=00007f££75b5L0000
Game info

Game: MARIO KART 8 [EU v64]

TitleId: 500001010ed00

RPXHash: 9708al1d3

7c65b8e0
le55dc48
1e5852b0
1e58db48
1e65b048
1e641778
2e6b42a8
3770e9c8
i3

383e2cc8
37570560
3749£290
3859d7e0
7c32f7a8
101le7aal
3a193168
3a308418
3b039360
3b1282b8
3a30cb28
1le5642a0
383d96a8
433f6a58

Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent

Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent

Crash 3

[20:07:
[20:07:
[20:07:
[20:07:
g type
[20:10:20]
[20:10:20]
ailable..
[20:10:21]
[20:15:38]

10]
19]

(dim: 0x01)
00el8fcc
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
02a14730

0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
00elaf88
02a8fe88
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c

IPp
IPp
IP
IP
IP
IP
IP
IP
IPp
IPp
IP
IP
IP
IP

Run t

Shader cache loaded with 2238 shaders.
25] Vulkan-Debug: Allocating additional memory for textures
57] Vulkan-Info:

80
81
80
80
88
88
81
88

NULL

Prepare Thread
WorkerMgr/Workerl (?)
WorkerMgr/Worker2 (?)
CourseDecomp
BackgroundLoad

00e02904 Pri Name
00e01064
00e01064
00e01064
00e01064
00e01064
00e01064

029£9600

024d4c2c
0274c584
0274c584
0274c584
0274c584
0274c584
0274c584
029£9600

Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff

010
010
100
001
001
100
010
010

SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED

Pri Name

Pri Name
Pri Name
Pri Name
Pri Name

Pri Name SaveDataManager

Pri Name Pia BackgroundSchedule
79
79
89
81
14
67
79
88
88
88
88
78
80
82

Network: :Send
enl::TaskThread
NetworkTaskThread
sead: :AudioTaskThread
NULL

nw: :snd: :TaskThread

00e01064 Pri Name
0274c3bc
0240al4c
00e01064
00elaf88
00e01064
00e01064
00e01064
00e01064
00e01064
00e01064
00e01064
00e01064

00e01064

LR
LR
LR
LR
LR
LR
LR
LR
LR
LR
LR
LR
LR
LR

0274c584
0274c3bc
0240al4c
0274c584
00e00000
02a90014
0274c584
0274c584
0274c584
0274c584
0274c584
0274c584
0274c584
0274c584

SUSPENDED
SUSPENDED
WAITING

SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED

Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff

100
001
010
100
100
100
100
100
010
010
010
100
010
001

Pri Name

Pri Name
Pri Name
Pri Name
Pri Name

Pri Name UIMoviePlayerThread
UILoadThread
UIMiiThread
UIScalableFont
UIMiiThread
AudioTaskProxyThread

AocSyncThread

Pri Name

Pri Name
Pri Name
Pri Name
Pri Name
Pri Name

Pri Name RecorderThread

itle —————-
Commited mem 188MB. Took 9383ms
(x4)

Shader 0x5619bab3ae257b23 uses 1D texture but bound texture has mismatchin

Vulkan-Debug: Allocating additional memory for textures
Vulkan-Info:

Ran out of unreserved vertex cache memory. Waiting for memory to become av

Vulkan-Debug: Allocating additional memory for textures
Vulkan-Info:

Ran out of unreserved vertex cache memory. Waiting for memory to become av
ailable..
[20:15:41] Vulkan-Info:
g type (dim: 0x01)

Crashlog for Cemu 1.16.0b
Date: 18-12-2019 20:16:05

(Patreon)

Exception 0xc0000005 at 0x28£f12f37e73
cemu.exe at 0x7££7315£0000

RAX=000000004656df8c
RSP=0000028f2f2a64e0
R8 =0000000000000004
R12=00000000027ea928

RBX=0000000000000001
RBP=00000000000000d0
R9 =0000000000000000
R13=0000028£63d60000

Game: MARIO KART 8 [EU v64]
TitleId: 500001010ed00
RPXHash: 9708ald3

7c6508e0 00el8fcc 027b5e84 027ea9%e4
1e55dc48 0274cdé6c 00e01064 0274c584
1e5852b0 0274cdé6c 00e01064 0274c584
1e58db48 0274cdé6c 00e01064 0274c584
le65b048 0274cdé6c 00e01064 0274c584
1e641778 0274cdé6c 00e01064 0274c584
2e6b4d2a8 0274cdé6c 00e01064 0274c584
3770e9c8 02a14730 029£9600 029£9600
i3

383e2cc8
3757b560
3749£290
3859d7e0
7c32f7a8
10le7aal
3al193168
3a308418
3039360
3b1282b8
3a30cb28
1e5642a0
383d96a8
433f6a58

Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent

0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
00elaf8s8
02a8fe88
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c
0274cdé6c

00e01064
0274c3bc
0240al4c
00e01064
00elaf8s8
00e01064
00e01064
00e01064
00e01064
00e01064
00e01064
00e01064
00e01064
00e01064

0274c584
0274c3bc
0240al4c
0274c584
00e00000
02a90014
0274c584
0274c584
0274c584
0274c584
0274c584
0274c584
0274c584
0274c584

Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent
Ent

IP
IP
IP
IP
IP
IP
IPp
IPp
IP
IP
IP
IP
IP
IP

LR
LR
LR
LR
LR
LR
LR
LR
LR
LR
LR
LR
LR
LR

Turning on the validation layer reports this multiple times:

[ UNASSIGNED-CoreValidation-Shader—-InputNotProduced ]

READY
SUSPENDED
SUSPENDED
RUNNING
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED

SUSPENDED
SUSPENDED
WAITING

SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED
SUSPENDED

Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff

Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff
Aff

RCX=0000000000000008
RDI=00000000027faf64
R10=000000003f2cfbd8
R14=000000006e010000

010
010
100
001
001
100
010
010

100
001
010
100
100
100
100
100
010
010
010
100
010
001

Object: O

Shader 0x8aedd53a2ae79e9d uses 1D texture but bound texture has mismatchin

RDX=00000000027b5e10
RSI=000000004656df78
R11=000000000000£f£f£f£f
R15=000002907£fb60000

Pri
Pri
Pri
Pri
Pri
Pri
Pri
Pri

Pri
Pri
Pri
Pri
Pri
Pri
Pri
Pri
Pri
Pri
Pri
Pri
Pri
Pri

X***

consumes input location *.0 which is not written by vertex shader

80
81
80
80
88
88
81
88

79
79
89
81
14
67
79
88
88
88
88
78
80
82

(Type

Name
Name
Name
Name
Name
Name
Name
Name

Name
Name
Name
Name
Name
Name
Name
Name
Name
Name
Name
Name
Name
Name

NULL

Prepare Thread
WorkerMgr/Workerl (?)
WorkerMgr/Worker2 (?)
CourseDecomp
BackgroundLoad
SaveDataManager

Pia BackgroundSchedule

Network: :Send
enl::TaskThread

NetworkTaskThread
sead: :AudioTaskThread
NULL

nw: :snd: :TaskThread
UIMoviePlayerThread
UILoadThread
UIMiiThread
UIScalableFont
UIMiiThread
AudioTaskProxyThread
AocSyncThread
RecorderThread

15) | fragment shader

P.S. I don't know if that's just a beta thing but | have to recompile my shaders everytime | start a game (OpenGL just loads them

which happens almost instantly). Hope this gets fixed for the public release.

History
#1 - 01/29/2020 08:46 AM - Zalnor

- Status changed from New to Closed

Crashes in Vulkan is common, espesially in the version used. this should be more stable now, or fixed very soon with general cemu updates.

#2 - 01/30/2020 10:52 PM - Anuskuss
Zalnor It's related to high VRAM usage. This can only be fixed (or rather mitigated) by clearing the cache (like it's already the case in OpenGL).
